// 2011 Hiroyuki Ogasawara (http://wlog.flatlib.jp)
// vim:ts=4 sw=4:
package jp.flatlib.ap02a;

import android.app.Activity;
import android.os.Bundle;

public class SimpleActivity extends Activity {

    private SimpleView  mSimpleView= null;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        mSimpleView= new SimpleView( this );
        setContentView( mSimpleView );
    }

    @Override
    protected void onPause() {
        super.onPause();
        mSimpleView.pause();
    }

    @Override
    protected void onResume() {
        super.onResume();
        mSimpleView.resume();
    }
}



