// 2011 Hiroyuki Ogasawara (http://wlog.flatlib.jp)
// vim:ts=4 sw=4:

#pragma version(1)
#pragma rs java_package_name(jp.flatlib.ap02a)

#include    "rs_graphics.rsh"

//---------------------------------------------------------------------------

typedef struct ConstantType2D {
	float4	Transform;
} ConstantType2D_t;
ConstantType2D_t*	ConstantType2D_n; // unuse


//---------------------------------------------------------------------------

rs_program_vertex	vsh;
rs_program_fragment	psh;
rs_mesh				mesh;
ConstantType2D_t*	vconst;

//---------------------------------------------------------------------------

void init()
{
}

int root()
{
    rsgClearColor( 0.5f, 0.5f, 0.0f, 0.0f );

	vconst->Transform.x=  2.0f/rsgGetWidth();
	vconst->Transform.y= -2.0f/rsgGetHeight();
	vconst->Transform.z= -1.0f;
	vconst->Transform.w=  1.0f;

	rsgBindProgramVertex( vsh );
	rsgBindProgramFragment( psh );
	rsgDrawMesh( mesh );

    return  33;
}



